package com.rightanglegames.backtothepast;

import it.randomtower.engine.ResourceManager;
import it.randomtower.engine.entity.Solid;

import org.newdawn.slick.SlickException;

public class Block extends Solid {
	public static final String BLOCKS = "blocks";

	public Block(float x, float y, int w, int h, int spriteIndex) throws SlickException {
		super(x, y, w, h);
		name = BLOCKS;
		depth = BackToThePast.TILES_LAYER;
		sheet = ResourceManager.getSpriteSheet(BLOCKS);
		currentImage = sheet.getSprite(spriteIndex, 0);
	}
}
