package com.rightanglegames.backtothepast;

import org.newdawn.slick.Image;

import it.randomtower.engine.entity.Entity;

public class Building extends Entity {

	private boolean smoke = false;
	public static final String BUILDING = "building";
	
	public Building(float x, float y, Image image, int depth, boolean smoke) {
		super(x, y, image);
		this.depth = depth;
		this.smoke = smoke;
		if (! this.smoke)
			this.active = false;	// no update calls required. save CPU time.
		this.addType(BUILDING);
	}

}
